### Method

# Gtk TreeModelSortiter_is_valid

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_sort_iter_is_valid (
      GtkTreeModelSort* tree_model_sort,
      GtkTreeIter* iter
    )

#### Description [src]

> This function is slow. Only use it for debugging and/or testing purposes.

Checks if the given iter is a valid iter for this `GtkTreeModelSort`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the iter is valid, `FALSE` if the iter is invalid.